
public class Class448 {

   Class253 aClass253_5579;
   Class470 aClass470_5580;
   Class564 aClass564_5581 = new Class564(30);
   public static final int anInt5582 = 256;
   Class253 aClass253_5583;
   Class564 aClass564_5584 = new Class564(256);
   boolean aBool5585;
   Class481 aClass481_5586;
   Class564 aClass564_5587 = new Class564(500);
   Class564 aClass564_5588 = new Class564(50);
   int anInt5589;
   String[] aStringArray5590;
   Class96[] aClass96Array5591 = new Class96[4];
   Class437 aClass437_5592 = new Class437((Object)null, (Object)null);
   public static Interface24 anInterface24_5593;
   static Class253 aClass253_5594;


   public void method7499(boolean var1, int var2) {
      if(this.aBool5585 != var1) {
         this.aBool5585 = var1;
         this.method7505(-513307527);
      }
   }

   public void method7500(boolean var1) {
      if(this.aBool5585 != var1) {
         this.aBool5585 = var1;
         this.method7505(-104465776);
      }
   }

   public void method7501() {
      Class564 var1 = this.aClass564_5584;
      synchronized(var1) {
         this.aClass564_5584.method11968((short)-19181);
      }

      var1 = this.aClass564_5587;
      synchronized(var1) {
         this.aClass564_5587.method11968((short)-22936);
      }

      var1 = this.aClass564_5581;
      synchronized(var1) {
         this.aClass564_5581.method11968((short)-19012);
      }

      var1 = this.aClass564_5588;
      synchronized(var1) {
         this.aClass564_5588.method11968((short)-6852);
      }
   }

   public void method7502(int var1, int var2) {
      this.anInt5589 = var1 * -1875242201;
      Class564 var3 = this.aClass564_5587;
      synchronized(var3) {
         this.aClass564_5587.method11976((byte)111);
      }

      var3 = this.aClass564_5581;
      synchronized(var3) {
         this.aClass564_5581.method11976((byte)56);
      }

      var3 = this.aClass564_5588;
      synchronized(var3) {
         this.aClass564_5588.method11976((byte)46);
      }
   }

   public void method7503(int var1, int var2) {
      this.aClass564_5584 = new Class564(var1);
   }

   public void method7504(boolean var1) {
      if(this.aBool5585 != var1) {
         this.aBool5585 = var1;
         this.method7505(375001523);
      }
   }

   public void method7505(int var1) {
      Class564 var2 = this.aClass564_5584;
      synchronized(var2) {
         this.aClass564_5584.method11976((byte)62);
      }

      var2 = this.aClass564_5587;
      synchronized(var2) {
         this.aClass564_5587.method11976((byte)79);
      }

      var2 = this.aClass564_5581;
      synchronized(var2) {
         this.aClass564_5581.method11976((byte)39);
      }

      var2 = this.aClass564_5588;
      synchronized(var2) {
         this.aClass564_5588.method11976((byte)48);
      }

      this.aClass96Array5591 = new Class96[4];
      this.aClass437_5592 = new Class437((Object)null, (Object)null);
   }

   public Class445 method7506(int var1, int var2) {
      Class564 var3 = this.aClass564_5584;
      Class445 var4;
      synchronized(var3) {
         var4 = (Class445)this.aClass564_5584.method11959((long)var1);
      }

      if(null != var4) {
         return var4;
      } else {
         Class253 var5 = this.aClass253_5579;
         byte[] var11;
         synchronized(var5) {
            var11 = this.aClass253_5579.method4547(Class115.aClass115_1115.method2277(var1, -195367241), Class115.aClass115_1115.method2276(var1, -1157670821), (byte)100);
         }

         var4 = new Class445();
         var4.anInt5531 = 1454617781 * var1;
         var4.aClass448_5551 = this;
         var4.aStringArray5523 = (String[])((String[])this.aStringArray5590.clone());
         if(var11 != null) {
            var4.method7432(new RS2Buffer(var11), 1165421440);
         }

         var4.method7468(384899468);
         if(var4.aBool5543) {
            var4.anInt5510 = 0;
            var4.aBool5511 = false;
         }

         if(!this.aBool5585 && var4.aBool5550) {
            var4.aStringArray5523 = null;
            var4.anIntArray5564 = null;
         }

         Class564 var12 = this.aClass564_5584;
         synchronized(var12) {
            this.aClass564_5584.method11958(var4, (long)var1);
            return var4;
         }
      }
   }

   public Class445 method7507(int var1) {
      Class564 var2 = this.aClass564_5584;
      Class445 var3;
      synchronized(var2) {
         var3 = (Class445)this.aClass564_5584.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5579;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_5579.method4547(Class115.aClass115_1115.method2277(var1, -974542839), Class115.aClass115_1115.method2276(var1, -718551845), (byte)-7);
         }

         var3 = new Class445();
         var3.anInt5531 = 1454617781 * var1;
         var3.aClass448_5551 = this;
         var3.aStringArray5523 = (String[])((String[])this.aStringArray5590.clone());
         if(var10 != null) {
            var3.method7432(new RS2Buffer(var10), -1395872927);
         }

         var3.method7468(340800058);
         if(var3.aBool5543) {
            var3.anInt5510 = 0;
            var3.aBool5511 = false;
         }

         if(!this.aBool5585 && var3.aBool5550) {
            var3.aStringArray5523 = null;
            var3.anIntArray5564 = null;
         }

         Class564 var11 = this.aClass564_5584;
         synchronized(var11) {
            this.aClass564_5584.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public Class445 method7508(int var1) {
      Class564 var2 = this.aClass564_5584;
      Class445 var3;
      synchronized(var2) {
         var3 = (Class445)this.aClass564_5584.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5579;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_5579.method4547(Class115.aClass115_1115.method2277(var1, -109504906), Class115.aClass115_1115.method2276(var1, -1901312412), (byte)46);
         }

         var3 = new Class445();
         var3.anInt5531 = 1454617781 * var1;
         var3.aClass448_5551 = this;
         var3.aStringArray5523 = (String[])((String[])this.aStringArray5590.clone());
         if(var10 != null) {
            var3.method7432(new RS2Buffer(var10), -1535831660);
         }

         var3.method7468(644947281);
         if(var3.aBool5543) {
            var3.anInt5510 = 0;
            var3.aBool5511 = false;
         }

         if(!this.aBool5585 && var3.aBool5550) {
            var3.aStringArray5523 = null;
            var3.anIntArray5564 = null;
         }

         Class564 var11 = this.aClass564_5584;
         synchronized(var11) {
            this.aClass564_5584.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method7509(boolean var1) {
      if(this.aBool5585 != var1) {
         this.aBool5585 = var1;
         this.method7505(-290168440);
      }
   }

   public void method7510(int var1, byte var2) {
      Class564 var3 = this.aClass564_5584;
      synchronized(var3) {
         this.aClass564_5584.method11963(var1, (byte)-53);
      }

      var3 = this.aClass564_5587;
      synchronized(var3) {
         this.aClass564_5587.method11963(var1, (byte)-83);
      }

      var3 = this.aClass564_5581;
      synchronized(var3) {
         this.aClass564_5581.method11963(var1, (byte)-51);
      }

      var3 = this.aClass564_5588;
      synchronized(var3) {
         this.aClass564_5588.method11963(var1, (byte)-121);
      }
   }

   public Class448(Class481 var1, Class470 var2, boolean var3, Class253 var4, Class253 var5) {
      this.aClass481_5586 = var1;
      this.aClass470_5580 = var2;
      this.aBool5585 = var3;
      this.aClass253_5579 = var4;
      this.aClass253_5583 = var5;
      if(this.aClass253_5579 != null) {
         int var6 = this.aClass253_5579.method4515(-1997573209) - 1;
         Class115.aClass115_1115.method2278(1832977304);
         this.aClass253_5579.method4514(var6, -2047566747);
      }

      if(Class481.aClass481_5854 == this.aClass481_5586) {
         this.aStringArray5590 = new String[]{null, null, null, null, null, Class418.aClass418_5272.method7137(this.aClass470_5580, (byte)-31)};
      } else {
         this.aStringArray5590 = new String[]{null, null, null, null, null, null};
      }

   }

   public void method7511(int var1) {
      Class564 var2 = this.aClass564_5584;
      synchronized(var2) {
         this.aClass564_5584.method11968((short)-28503);
      }

      var2 = this.aClass564_5587;
      synchronized(var2) {
         this.aClass564_5587.method11968((short)-18713);
      }

      var2 = this.aClass564_5581;
      synchronized(var2) {
         this.aClass564_5581.method11968((short)-18029);
      }

      var2 = this.aClass564_5588;
      synchronized(var2) {
         this.aClass564_5588.method11968((short)-20376);
      }
   }

   public void method7512(boolean var1) {
      if(this.aBool5585 != var1) {
         this.aBool5585 = var1;
         this.method7505(1373693582);
      }
   }

   public void method7513(int var1) {
      this.anInt5589 = var1 * -1875242201;
      Class564 var2 = this.aClass564_5587;
      synchronized(var2) {
         this.aClass564_5587.method11976((byte)119);
      }

      var2 = this.aClass564_5581;
      synchronized(var2) {
         this.aClass564_5581.method11976((byte)103);
      }

      var2 = this.aClass564_5588;
      synchronized(var2) {
         this.aClass564_5588.method11976((byte)91);
      }
   }

   public void method7514(int var1) {
      this.aClass564_5584 = new Class564(var1);
   }

   public void method7515(int var1) {
      Class564 var2 = this.aClass564_5584;
      synchronized(var2) {
         this.aClass564_5584.method11963(var1, (byte)-40);
      }

      var2 = this.aClass564_5587;
      synchronized(var2) {
         this.aClass564_5587.method11963(var1, (byte)-58);
      }

      var2 = this.aClass564_5581;
      synchronized(var2) {
         this.aClass564_5581.method11963(var1, (byte)-9);
      }

      var2 = this.aClass564_5588;
      synchronized(var2) {
         this.aClass564_5588.method11963(var1, (byte)-8);
      }
   }

   public void method7516() {
      Class564 var1 = this.aClass564_5584;
      synchronized(var1) {
         this.aClass564_5584.method11968((short)-9841);
      }

      var1 = this.aClass564_5587;
      synchronized(var1) {
         this.aClass564_5587.method11968((short)-24933);
      }

      var1 = this.aClass564_5581;
      synchronized(var1) {
         this.aClass564_5581.method11968((short)-1489);
      }

      var1 = this.aClass564_5588;
      synchronized(var1) {
         this.aClass564_5588.method11968((short)-15026);
      }
   }

   public void method7517(boolean var1) {
      if(this.aBool5585 != var1) {
         this.aBool5585 = var1;
         this.method7505(892285311);
      }
   }

   static final void method7518(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 649403460);
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var3.anInt1416 * -716369759;
   }

   public static void method7519(Class169 var0, int var1) {
      Class225_Sub14_Sub2 var2 = Class49.method1193(2, (long)(var0.anInt2046 * -2027087877));
      var2.method15501(-951560975);
   }
}
